Bug 1226677 - dnf repoquery -f does not support wildcards
Summary: dnf repoquery -f does not support wildcards
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf-plugins-core
Version: 23
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: ---
Assignee: rpm-software-management
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: EasyFix, Triaged
: 1269731 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-31 17:51 UTC by Zbigniew Jędrzejewski-Szmek
Modified: 2016-10-04 18:07 UTC (History)
10 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-07-21 13:05:30 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1233728 None None None Never
Red Hat Bugzilla 1249073 None None None Never
Red Hat Bugzilla 1259650 None None None Never

Internal Trackers: 1233728 1249073 1259650

Description Zbigniew Jędrzejewski-Szmek 2015-05-31 17:51:55 UTC
Description of problem:
Might be PEBKAC, but it seems that dnf repoquery cannot be used to look for files in a certain directory.

$ dnf repoquery -f /etc/udev/rules.d/\*
(nada)
$ repoquery -f /etc/udev/rules.d/\*
(42 packages listed)

For me this is one of the most common uses of repoquery. E.g. https://fedorahosted.org/fesco/ticket/615#comment:43.

Version-Release number of selected component (if applicable):
dnf-1.0.0-1.fc23.noarch
yum-utils-1.1.31-505.fc23.noarch
yum-3.4.3-506.fc23.noarch

Comment 1 Sergio Monteiro Basto 2015-06-18 21:05:45 UTC
dnf repoquery doesn't  support also muti args 

dnf repoquery python-bottle-sqlite python-sqlite3dbm

Error: unrecognized arguments: python-sqlite3dbm

repoquery python-bottle-sqlite python-sqlite3dbm 
python-bottle-sqlite-0:0.1-4.fc21.noarch
python-sqlite3dbm-0:0.1.4-6.fc21.noarch

Comment 2 Ville Skyttä 2015-06-19 08:58:49 UTC
(In reply to Sergio Monteiro Basto from comment #1)
> dnf repoquery doesn't  support also muti args

Different issue, different bug, please.

Comment 3 Zbigniew Jędrzejewski-Szmek 2015-06-19 12:39:29 UTC
Second bug for second issue.

Comment 4 Jan Kurik 2015-07-15 14:05:09 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 5 Sergio Monteiro Basto 2015-07-15 23:43:51 UTC
 wildcards also fails with --whatrequires 

dnf repoquery --whatrequires pyorbit\*
none 

repoquery --whatrequires pyorbit\*
at-spi-python-0:1.32.0-14.fc21.x86_64
gnome-python2-bonobo-0:2.28.1-15.fc21.x86_64
pyorbit-devel-0:2.24.0-16.fc21.i686
pyorbit-devel-0:2.24.0-16.fc21.x86_64

Comment 6 Honza Silhan 2015-07-24 09:25:16 UTC
Thanks for the report, we'll take a look. `dnf whatprovides <glob-in-filename>` should work - use it as temporary workaround.

Comment 7 Radek Holy 2015-07-24 09:30:29 UTC
Rather "dnf provides". "whatprovides" is an undocumented alias. And it still work only for globs in file names, not in (virtual) provides.

Comment 8 Zbigniew Jędrzejewski-Szmek 2015-07-24 13:17:09 UTC
Indeed, that works, and even gives the same results as plain repoquery.

Comment 9 Sergio Monteiro Basto 2015-07-24 13:29:43 UTC
Hi
(In reply to Radek Holy from comment #7)
> Rather "dnf provides". "whatprovides" is an undocumented alias. And it still
> work only for globs in file names, not in (virtual) provides.

Please, could you exemplify with pyorbit\* ? I don't understood  what you wrote .

man repoquery  (the old repoquery) , --provides and --requires are PACKAGE QUERY OPTIONS when --whatprovides and --whatrequires are PACKAGE SELECTION OPTIONS

Comment 10 Radek Holy 2015-07-24 14:01:37 UTC
Sergio,

I meant that as the workaround, Zbigniew should use e.g. `dnf provides /etc/udev/rules.d/\*` rather than `dnf whatprovides /etc/udev/rules.d/\*` since both are the same but the latter one is not documented.

And then I meant that `dnf provides /etc/udev/rules.d/\*` works as expected but OTOH it still cannot help you, Sergio, because `dnf provides pyorbit\*` does not work either. We have no workaround for you since both commands ("repoquery" and "provides") are broken in this regard. They cannot find provides specified by a glob expression, only files.

Comment 11 Fedora Admin XMLRPC Client 2016-07-08 09:25:29 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 12 Igor Gnatenko 2016-07-21 13:05:30 UTC
https://github.com/rpm-software-management/dnf/pull/528

Fixed in DNF 2.0.

Comment 13 Igor Gnatenko 2016-07-22 08:52:47 UTC
*** Bug 1269731 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.